org.mariadb.jdbc.internal.common.packet.commands

## Class StreamedQueryPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.common.packet.commands.StreamedQueryPacket

All Implemented Interfaces:
  CommandPacket

    public class StreamedQueryPacket
    extends Object
    implements CommandPacket

### Constructor Summary

Constructors
Constructor and Description
`StreamedQueryPacket(Query query)`

### Method Summary

Methods
`int` `send(OutputStream ostream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamedQueryPacket

    public StreamedQueryPacket(Query query)

### Method Detail

#### send

    public int send(OutputStream ostream)
             throws IOException,
                    QueryException

Specified by:
  `send` in interface `CommandPacket`
Throws:
  `IOException`
  `QueryException`